<bugID>1024787<Summary>Fix uncaught promise rejections in DevTools framework</Summary><Description>When uncaught promise rejections throw errors, the following occur in framework:

0:38.24 TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/framework/test/browser_devtools_api.js | A promise chain failed to handle a rejection at resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource:///modules/devtools/framework/toolbox.js:901 - TypeError: this.doc is undefined
 0:38.24 TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/framework/test/browser_new_activation_workflow.js | A promise chain failed to handle a rejection at resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource:///modules/devtools/framework/toolbox.js:901 - TypeError: this.doc is undefined
 0:38.24 TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/framework/test/browser_toolbox_window_reload_target.js | A promise chain failed to handle a rejection - unknownError
 0:38.24 TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/framework/test/browser_toolbox_window_reload_target.js | A promise chain failed to handle a rejection - unknownError
 0:38.28 TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/framework/test/browser_toolbox_window_reload_target.js | A promise chain failed to handle a rejection - unknownError
 0:38.28 TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/framework/test/browser_toolbox_window_reload_target.js | A promise chain failed to handle a rejection - unknownError


The keybinding test is tracked in bug 991075

 0:38.24 TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/framework/test/browser_keybindings.js | A promise chain failed to handle a rejection at resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource:///modules/devtools/framework/toolbox.js:901 - TypeError: this.doc is undefined</Description></bugID>